## secure-delete 3.1

=== Makefile ===
CC=gcc
OPT=-O2 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
#OPT=-Wall -D_DEBUG_ -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
INSTALL_DIR=/usr/local/bin
MAN_DIR=/usr/local/man
DOC_DIR=/usr/share/doc/secure_delete
OPT_MOD=-D__KERNEL__ -DMODULE -fomit-frame-pointer -fno-strict-aliasing -pipe -mpreferred-stack-boundary=2
#LD_MOD=-r

all: sdel-lib.o srm sfill sswap smem sdel-mod.o
	@echo
	@echo "A Puritan is someone who is deathly afraid that someone, somewhere, is"
	@echo "having fun."
	@echo
	@echo "I hope YOU have fun!"
	@echo

sdel-mod.o: sdel-mod.c
	$(CC) $(OPT) $(OPT_MOD) $(LD_MOD) -I/lib/modules/`uname -r`/build/include -c sdel-mod.c

sdel-lib.o: sdel-lib.c
	$(CC) ${OPT} -c sdel-lib.c

srm: srm.c
	$(CC) ${OPT} -o srm srm.c sdel-lib.o
	-strip srm
sfill: sfill.c
	$(CC) ${OPT} -o sfill sfill.c sdel-lib.o
	-strip sfill
sswap: sswap.c
	$(CC) ${OPT} -o sswap sswap.c sdel-lib.o
	-strip sswap
smem: smem.c
	$(CC) ${OPT} -o smem smem.c sdel-lib.o
	-strip smem

clean:
	rm -f sfill srm sswap smem sdel sdel-lib.o sdel-mod.o core *~

install: all
	mkdir -p -m 755 ${INSTALL_DIR} 2> /dev/null
	rm -f sdel && ln -s srm sdel
	cp -f sdel srm sfill sswap smem the_cleaner.sh ${INSTALL_DIR}
	chmod 711 ${INSTALL_DIR}/srm ${INSTALL_DIR}/sfill ${INSTALL_DIR}/sswap ${INSTALL_DIR}/smem ${INSTALL_DIR}/the_cleaner.sh
	mkdir -p -m 755 ${MAN_DIR}/man1 2> /dev/null
	cp -f srm.1 sfill.1 sswap.1 smem.1 ${MAN_DIR}/man1
	chmod 644 ${MAN_DIR}/man1/srm.1 ${MAN_DIR}/man1/sfill.1 ${MAN_DIR}/man1/sswap.1 ${MAN_DIR}/man1/smem.1
	mkdir -p -m 755 ${DOC_DIR} 2> /dev/null
	cp -f CHANGES FILES README secure_delete.doc usenix6-gutmann.doc ${DOC_DIR}
	-test -e sdel-mod.o && cp -f sdel-mod.o /lib/modules/`uname -r`/kernel/drivers/char
#	@-test '!' -e sdel-mod.o -a `uname -s` = 'Linux' && echo "type \"make sdel-mod install\" to compile and install the Linux loadable kernel module for secure delete"
	@echo
	@echo "If men could get pregnant, abortion would be a sacrament."
	@echo

=== debian/changelog ===
secure-delete (3.1-8) unstable; urgency=medium

  * adopted the package. Closes: 994645;
    thanks to Joao Eriberto Mota Filho, this package is in very good shape.
  * created a git branch named master, to manage contents formerly tracked
    in debian/master; this makes the work with gbp easier.
  * closing bug #377687 "Please put the secure-delete on the root fs" as
    nowadays, debian images come with the symlink /bin => /usr/bin
    Closes: #377687; this bug report was filled 14 years ago.

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 03 Mar 2022 19:06:59 +0100

secure-delete (3.1-7) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see: #994645)
  * Migrations:
      - DebSrc to 3.0 (quilt).
      - DH level to new format. Consequently:
          ~ debian/compat: removed.
          ~ debian/control: changed from 'debhelper' to 'debhelper-compat' in
            Build-Depends field and bumped level to 13.
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format.
  * Converted direct changes in upstream source code to patches. The new
    patches are:
      - 010_changes-Makefile.patch
      - 020_fix-strip.patch
      - 030_rename-smem-sdmem.patch
      - 040_fix-srm-several-files.patch
      - 050_fix-spelling-manpages.patch (Closes: #720310)
      - 060_fix-spelling-sdmem-manpage.patch (Closes: #720310)
      - 070_new-fix-srm.patch
  * debian/control:
      - Added Homepage field.
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.6.0.1.
      - Created VCS fields.
      - Improved long description.
  * debian/man/srm.fr.1: French manpage. Thanks to intrigeri
    <intrigeri@debian.org>. (Closes: #557967)
  * debian/manpages: created to install the manpages.
  * debian/patches/:
      - 010_changes-Makefile.patch: changed to use the variables DESTDIR and
        PREFIX.
      - 080_use-GCC-flags.patch: created to improve the hardening via GCC.
      - 090_fix-variable.patch: created to use 'long unsigned int' instead
        of 'int'.
      - 100_fix-typo-sdmem.patch: created to fix a typo in final binary sdmem.
        (Closes: #805860)
  * debian/rules: added an override to fix a FTCBFS. Thanks to Helmut Grohne.
    (Closes: #877608)
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to provide some CI tests.
  * debian/upstream/metadata: created.
  * debian/watch:
      - Bumped to version 4.
      - Updated the search rule.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 19 Sep 2021 10:35:57 -0300

secure-delete (3.1-6) unstable; urgency=low

  * Enable hardening flags during build
  * Update packaging
  * Bump standards-version
  * Fix a few minus-vs-hyphen bugs in manpages
  * Fixed a few typos (closes: #486018, #653260)
  * Tone down description a little bit and include binary names
    (closes: #680336, #538151)

 -- Robert Lemmen <robertle@semistable.com>  Fri, 05 Jul 2013 08:50:37 +0100

secure-delete (3.1-5) unstable; urgency=low

  * Rename smem to sdmem to avoid name clash with smem package
  * Bumped Standards-Version to 3.8.3 and related fixes

 -- Robert Lemmen <robertle@semistable.com>  Tue, 05 Jan 2010 14:55:00 +0000

secure-delete (3.1-4) unstable; urgency=low

  * Fixed licensing info (closes: #428102)
  * Fixed handling of nostrip build option (closes: #438009)

 -- Robert Lemmen <robertle@semistable.com>  Tue, 28 Aug 2007 13:21:17 +0200

secure-delete (3.1-3) unstable; urgency=low

  * Moved from experimental
  * Added more documentation

 -- Robert Lemmen <robertle@semistable.com>  Thu,  5 Oct 2006 22:04:17 +0200

secure-delete (3.1-2) experimental; urgency=low

  * Upload to experimental instead of unstable.
  * Added description on how to test security to README.Debian.

 -- Robert Lemmen <robertle@semistable.com>  Mon,  2 May 2005 11:55:11 +0200

secure-delete (3.1-1) unstable; urgency=low

  * Initial Release.

 -- Robert Lemmen <robertle@semistable.com>  Thu, 29 Jan 2004 18:09:26 +0100

=== debian/control ===
Source: secure-delete
Section: utils
Priority: optional
Maintainer: georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0.1
Homepage: https://www.thc.org
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/secure-delete
Vcs-Git: https://salsa.debian.org/debian/secure-delete.git

Package: secure-delete
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tools to wipe files, free disk space, swap and memory
 Gutmann method based tools for securely wiping data from files, free disk
 space, swap and memory. This is a set of tools useful for security and
 anti-forensics actions.
 .
 This package provides srm, sfill, sswap and sdmem commands.

=== debian/watch ===
version=4
https://github.com/hackerschoice/THC-Archive/tree/master/Tools .*/Tools/secure(?:-|_)delete-(\d\S+)\.tar\.(?:bz2|gz|xz)
